<?php

class Causas extends CActiveRecord
{
	public $conflicto='CONFLICTO';
	public $hm='HURTO MADERA';
	public $terminado='TERMINADO';
	public $vigente='VIGENTE';	

	public function tableName()
	{
		return 'causas';
	}

	public function rules()
	{
		return array(
			array('cas_ruc, cas_nombre_caso, cas_materia_causa, fun_rut, cas_gls_estcaso, cas_gls_estrelacion, cas_fecha_ce_rel, cas_fecha_delito, cas_rut_imp', 'required'),
			array('fis_codigo, est_caso, cas_cod_delito, cas_cod_mottermino', 'numerical', 'integerOnly'=>true),
			array('cas_ruc', 'length', 'max'=>100),
			array('cas_nombre_caso, cas_gls_materia', 'length', 'max'=>250),
			array('cas_materia_causa, cas_gls_estcaso, cas_gls_estrelacion, cas_gls_comuna, cas_gls_mottermino, cas_gls_motsuspension, cas_gls_procedimiento, cas_idf_paterno_imp, cas_idf_materno_imp, cas_idf_nombres_imp, cas_gls_tipsexo_imp, cas_rut_vic, cas_idf_paterno_vic, cas_idf_materno_vic, cas_idf_nombres_vic, cas_gls_tipsexo_vic', 'length', 'max'=>50),
			array('fun_rut, cas_rut_imp', 'length', 'max'=>12),
			array('cas_crr_idrelacion', 'length', 'max'=>10),
			array('cas_fecha_recep, cas_fecha_cambioest, cas_fnac_imp, cas_fnac_vic', 'safe'),
			array('cas_codigo, fis_codigo, cas_ruc, cas_nombre_caso, cas_materia_causa, cas_fecha_recep, cas_fecha_cambioest, est_caso, fun_rut, cas_gls_estcaso, cas_gls_estrelacion, cas_fecha_ce_rel, cas_crr_idrelacion, cas_cod_delito, cas_gls_comuna, cas_fecha_delito, cas_gls_materia, cas_cod_mottermino, cas_gls_mottermino, cas_gls_motsuspension, cas_gls_procedimiento, cas_rut_imp, cas_idf_paterno_imp, cas_idf_materno_imp, cas_idf_nombres_imp, cas_fnac_imp, cas_gls_tipsexo_imp, cas_rut_vic, cas_idf_paterno_vic, cas_idf_materno_vic, cas_idf_nombres_vic, cas_fnac_vic, cas_gls_tipsexo_vic', 'safe', 'on'=>'search'),
		);
	}

	public function relations()
	{
		return array(
		);
	}

	public function attributeLabels()
	{
		return array(
			'cas_codigo' => 'Cas Codigo',
			'fis_codigo' => 'Fiscalía',
			'cas_ruc' => 'Ruc',
			'cas_nombre_caso' => 'Nombre del Caso',
			'cas_materia_causa' => 'Materia',
			'cas_fecha_recep' => 'Fecha de Recepción',
			'cas_fecha_cambioest' => 'Cas Fecha Cambioest',
			'est_caso' => 'Cas Est Caso',
			'fun_rut' => 'Fun Rut',
			'cas_gls_estcaso' => 'Estado del Caso',
			'cas_gls_estrelacion' => 'Cas Gls Estrelacion',
			'cas_fecha_ce_rel' => 'Cas Fecha Ce Rel',
			'cas_crr_idrelacion' => 'Cas Crr Idrelacion',
			'cas_cod_delito' => 'Cas Cod Delito',
			'cas_gls_comuna' => 'Comuna',
			'cas_fecha_delito' => 'Cas Fecha Delito',
			'cas_gls_materia' => 'Cas Gls Materia',
			'cas_cod_mottermino' => 'Cas Cod Mottermino',
			'cas_gls_mottermino' => 'Cas Gls Mottermino',
			'cas_gls_motsuspension' => 'Cas Gls Motsuspension',
			'cas_gls_procedimiento' => 'Cas Gls Procedimiento',
			'cas_rut_imp' => 'Rut Imputado',
			'cas_idf_paterno_imp' => 'Apellido Imp',
			'cas_idf_materno_imp' => 'Cas Idf Materno Imp',
			'cas_idf_nombres_imp' => 'Nombres Imp',
			'cas_fnac_imp' => 'Fecha Nacimiento',
			'cas_gls_tipsexo_imp' => 'Cas Gls Tipsexo Imp',
			'cas_rut_vic' => 'Rut Víctima',
			'cas_idf_paterno_vic' => 'Apellido Vic',
			'cas_idf_materno_vic' => 'Cas Idf Materno Vic',
			'cas_idf_nombres_vic' => 'Nombres Vic',
			'cas_fnac_vic' => 'Fecha Nacimiento',
			'cas_gls_tipsexo_vic' => 'Cas Gls Tipsexo Vic',
		);
	}

	public function search()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('cas_codigo',$this->cas_codigo);
		$criteria->compare('fis_codigo',$this->fis_codigo);
		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->cas_materia_causa,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);
		$criteria->compare('fun_rut',$this->fun_rut,true);
		$criteria->compare('cas_gls_estcaso',$this->cas_gls_estcaso,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

    public function conflicto()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->conflicto,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);		
		$criteria->compare('cas_gls_estcaso',$this->cas_gls_estcaso,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function hm()
	{
		$criteria=new CDbCriteria;

		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->hm,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);		
		$criteria->compare('cas_gls_estcaso',$this->cas_gls_estcaso,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function terminos()
	{
		$criteria=new CDbCriteria;
		
		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->cas_materia_causa,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);		
		$criteria->compare('cas_gls_estcaso',$this->terminado,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

    public function terminos_c()
	{
		$criteria=new CDbCriteria;
		
		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->conflicto,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);		
		$criteria->compare('cas_gls_estcaso',$this->terminado,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function terminos_hm()
	{
		$criteria=new CDbCriteria;
		
		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->hm,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);		
		$criteria->compare('cas_gls_estcaso',$this->terminado,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public function vigentes()
	{
		$criteria=new CDbCriteria;
		
		$criteria->compare('cas_ruc',$this->cas_ruc,true);
		$criteria->compare('cas_nombre_caso',$this->cas_nombre_caso,true);
		$criteria->compare('cas_materia_causa',$this->cas_materia_causa,true);
		$criteria->compare('cas_fecha_recep',$this->cas_fecha_recep,true);
		$criteria->compare('cas_fecha_cambioest',$this->cas_fecha_cambioest,true);
		$criteria->compare('est_caso',$this->est_caso);		
		$criteria->compare('cas_gls_estcaso',$this->vigente,true);
		$criteria->compare('cas_gls_estrelacion',$this->cas_gls_estrelacion,true);
		$criteria->compare('cas_fecha_ce_rel',$this->cas_fecha_ce_rel,true);
		$criteria->compare('cas_crr_idrelacion',$this->cas_crr_idrelacion,true);
		$criteria->compare('cas_cod_delito',$this->cas_cod_delito);
		$criteria->compare('cas_gls_comuna',$this->cas_gls_comuna,true);
		$criteria->compare('cas_fecha_delito',$this->cas_fecha_delito,true);
		$criteria->compare('cas_gls_materia',$this->cas_gls_materia,true);
		$criteria->compare('cas_cod_mottermino',$this->cas_cod_mottermino);
		$criteria->compare('cas_gls_mottermino',$this->cas_gls_mottermino,true);
		$criteria->compare('cas_gls_motsuspension',$this->cas_gls_motsuspension,true);
		$criteria->compare('cas_gls_procedimiento',$this->cas_gls_procedimiento,true);
		$criteria->compare('cas_rut_imp',$this->cas_rut_imp,true);
		$criteria->compare('cas_idf_paterno_imp',$this->cas_idf_paterno_imp,true);
		$criteria->compare('cas_idf_materno_imp',$this->cas_idf_materno_imp,true);
		$criteria->compare('cas_idf_nombres_imp',$this->cas_idf_nombres_imp,true);
		$criteria->compare('cas_fnac_imp',$this->cas_fnac_imp,true);
		$criteria->compare('cas_gls_tipsexo_imp',$this->cas_gls_tipsexo_imp,true);
		$criteria->compare('cas_rut_vic',$this->cas_rut_vic,true);
		$criteria->compare('cas_idf_paterno_vic',$this->cas_idf_paterno_vic,true);
		$criteria->compare('cas_idf_materno_vic',$this->cas_idf_materno_vic,true);
		$criteria->compare('cas_idf_nombres_vic',$this->cas_idf_nombres_vic,true);
		$criteria->compare('cas_fnac_vic',$this->cas_fnac_vic,true);
		$criteria->compare('cas_gls_tipsexo_vic',$this->cas_gls_tipsexo_vic,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}

	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
}
